Bug 601770 - SSSD in RHEL 6.0 should ship with zero open Coverity bugs
Summary: SSSD in RHEL 6.0 should ship with zero open Coverity bugs
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Stephen Gallagher
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 579778
TreeView+ depends on / blocked
 
Reported: 2010-06-08 15:14 UTC by Stephen Gallagher
Modified: 2015-01-04 23:42 UTC (History)
5 users (show)

Fixed In Version: sssd-1.5.0-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-14 13:36:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dpal: needinfo+


Attachments (Terms of Use)

Description Stephen Gallagher 2010-06-08 15:14:45 UTC
Description of problem:
SSSD was run through Coverity Integrity Manager. It identified 26 minor bugs which should be resolved before release.

Version-Release number of selected component (if applicable):
sssd-1.2.0-13.el6

Comment 1 RHEL Product and Program Management 2010-06-08 15:33:28 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 5 Jenny Galipeau 2010-08-03 18:30:19 UTC
Two new coverity issues discovered on verifying this with the newest build.

Comment 6 Stephen Gallagher 2010-08-03 18:39:52 UTC
Moving to 6.1.0 at the direction of product management.
(02:36:59 PM) sghosh: sgallagh: move to bz to 6.1 unless you can justify it as a blocker

This issue is not a blocker. The new issues discovered by Coverity can only occur in an out-of-memory condition on the system.

Comment 14 Stephen Gallagher 2011-01-13 16:00:14 UTC
This is an ongoing goal. I think we should probably mark this BZ as complete.

Comment 16 Stephen Gallagher 2011-01-14 12:27:17 UTC
As mentioned above, this is an ongoing process. It will continue to be an upstream goal to maintain zero Coverity issues. Marking this bug complete.

Comment 18 Stephen Gallagher 2011-01-14 13:36:14 UTC
Closing as NOTABUG (it's a development task)


Note You need to log in before you can comment on or make changes to this bug.